# Class PBMSkinnedMesh

#### Hierarchy

- SkinnedMesh<THREE.BufferGeometry, PBMMeshMaterial[]>
  - PBMSkinnedMesh

- Defined in lib/five/model/objects/pbmMesh.ts:18

##### Index

### Constructors

constructor

### Properties

geometry
material

## Constructors

### constructor

- new PBMSkinnedMesh(
  geometry: BufferGeometry,
  materials: PBMMeshMaterial[],
  useVertexTexture?: boolean,
  ): PBMSkinnedMesh

  #### Parameters

  - geometry: BufferGeometry
  - materials: PBMMeshMaterial[]
  - `Optional` useVertexTexture: boolean

  #### Returns PBMSkinnedMesh

  Overrides THREE.SkinnedMesh<THREE.BufferGeometry, PBMMeshMaterial[]>.constructor

  - Defined in lib/five/model/objects/pbmMesh.ts:23

## Properties

### geometry

geometry: BufferGeometry

Overrides THREE.SkinnedMesh.geometry

- Defined in lib/five/model/objects/pbmMesh.ts:20

### material

material: PBMMeshMaterial[]

Overrides THREE.SkinnedMesh.material

- Defined in lib/five/model/objects/pbmMesh.ts:21